
Infrastructure - Task #2187

Story # 2166 (Closed): Hazelcast cluster errors need to be isolated

In Metacat, add new method for deleting replicas of SystemMetadata

2012-01-10 18:03 - Robert Waltz

Status: Closed Start date: 2012-01-10

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: Metacat Estimated time: 0.00 hour

Target version: Sprint-2012.01-Block.1.1   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

CNReplication.deleteReplicationMetadata (session, pid, nodeId, serialVersion);

should be created in Metacat

Endpoint to be determined?

History

#1 - 2012-01-11 17:52 - Chris Jones

- Assignee changed from Chris Jones to Ben Leinfelder

#2 - 2012-01-11 19:03 - Ben Leinfelder

I take this to mean that in the given nodeId, the replica (system metadata and content) should be deleted.

Who (which process) calls this method?

#3 - 2012-01-12 00:46 - Ben Leinfelder

- Status changed from New to In Progress

- % Done changed from 0 to 60

need REST endpoint to fully implement

#4 - 2012-01-12 21:33 - Ben Leinfelder

- Status changed from In Progress to Closed

wired up the endpoints on server and client
